{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg, dialog_box, memberof\r\ndeclare subroutine create_note\r\n$insert logical\r\n$insert msg_equates\r\n$insert quote_sigs_equ\r\n$insert lsl_users_equ\r\n$insert ncr_equ\r\nequ CrLf$ to char(13):char(10)\r\n\r\n\r\nif memberof( @user4, 'SUPERVISOR' ) or memberof( @user4, 'ENGINEERING' ) then\r\n   * OK\r\nend else\r\n   MsgInfo = ''\r\n   MsgInfo<micon$> = '!'\r\n   MsgInfo<mtext$> = 'You must be a supervisor or an engineer to sign for rejecting material.'\r\n   Void = msg( '', MsgInfo )\r\n   return 0\r\nend\r\nAuthRejSig = .auth_rej_sig->text\r\nAuthRejSigName = .auth_rej_sig_name->text\r\nif AuthRejSig <> '' then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'This NCR has already been signed for rejecting material.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend else\r\n    Valid = dialog_box( 'QUOTE_SIG_PWD_ENTRY', @window, @user4:@vm:xlate( 'LSL_USERS', @user4, lsl_users_password$, 'X' ) )\r\n\tif Valid then\r\n        .auth_rej_sig->text = @user4\r\n        .auth_rej_sig_name->text = xlate( 'LSL_USERS', @user4, 'FIRST_LAST', 'X' )\r\n        @@window->savewarn = 1\r\n    end\r\nend\r\nreturn 0\r\n"
        }
    }
}